
.product-images {
  width: 100%;
  position: relative;

  @include media("md") {
    display: flex;
  }

  > .slider-thumbs {
    display: none;
  }

  > .main-slider {
    position: relative;

    @include media("md") {
      width: 100%;
    }
  }

  // Label do zoom
  > .main-slider.swiper-initialized::after {
    content: "Toque duas vezes para zoom";
    position: absolute;
    z-index: 5;
    bottom: 1rem;
    left: 50%;
    transform: translateX(-50%);
    display: inline-block;
    padding: 0.5rem 1.5rem;
    border-radius: 10px;
    background-color: var(--gray-3);
    opacity: 0.7;
    font-size: 1rem;
    color: var(--white);
    white-space: nowrap;

    @include media("md") {
      content: "Clique duas vezes para zoom";
    }
  }

  > .main-slider.swiper-initialized.-single-click::after {
    @include media("md") {
      content: "Clique para zoom";
    }
  }

  // Texto do label quando está definido como zoom no hover
  > .main-slider.-hover-zoom {
    &::after {
      @include media("md") {
        content: "Passe o mouse para zoom";
      }
    }

    .swiper-slide.-zoomed {
      cursor: zoom-in !important;
    }
  }

  > .main-slider .swiper-wrapper {
    @include media("md") {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 0 0.8rem;
      width: 100%;
    }
  }

  > .main-slider .swiper-slide {
    overflow: hidden;
    cursor: zoom-in;
    height: unset !important;

    &.-zoomed {
      cursor: zoom-out;

      .image {
        transition: transform 0.05s linear !important;
      }
    }
  }

  > .main-slider .image img {
    object-fit: cover !important;
  }

  // Garante funcionamento do zoom, e ajusta proporção
  > .main-slider .swiper-slide .image,
  > .main-slider .swiper-slide .video {
    overflow: unset;

    &::after {
      padding-bottom: var(--product-image-height);
    }
  }

  // Slides inativos/escondidos conforme troca de SKU
  > .main-slider .swiper-slide {
    &.-inactive {
      display: none;
    }
  }

  @include media("md") {
    .swiper-button-next,
    .swiper-button-prev {
      display: none;
    }
  }

  > .swiper-pagination {
    position: static !important;
    min-height: 1.4rem;
    width: 90% !important;
    margin: 2.4rem auto 0 !important;

    @include media("md") {
      display: none;
    }
  }
}
